Package python-sphinx

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-sphinx in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-sphinx-1:1.7.6-1.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-sphinx-1:1.7.6-1.fc29
    • /usr/bin/python3
    • python(abi) = 3.7

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Groups

Dependencies

Run time

2 Python 3 only; 13 Dual support; 2 Dropped
Package Upstream Fedora
  babel  
  python-docutils   bug (CLOSED RAWHIDE)
  python-imagesize  
  python-jinja2  
  python-mock  
  python-packaging  
  python-pygments   bug (CLOSED ERRATA)
  python-requests  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-snowballstemmer  
  python-sphinx-theme-alabaster  
  python-sphinx_rtd_theme  
  python-sphinxcontrib-websupport  
  environment-modules  
  python3   bug (NEW)
  python2   X
  python2-typing   X

Build time

2 Python 3 only; 20 Dual support; 3 Dropped
Package Upstream Fedora
  babel  
  pytest  
  python-docutils   bug (CLOSED RAWHIDE)
  python-html5lib  
  python-imagesize  
  python-jinja2  
  python-mock  
  python-nose  
  python-packaging  
  python-pygments   bug (CLOSED ERRATA)
  python-pytest-cov  
  python-requests  
  python-setuptools  
  python-six   bug (CLOSED CURRENTRELEASE)
  python-snowballstemmer  
  python-sphinx-theme-alabaster  
  python-sphinx_rtd_theme  
  python-sphinxcontrib-websupport  
  python-sqlalchemy  
  python-whoosh  
  environment-modules  
  python3   bug (NEW)
  python-enum34   X
  python2   X
  python2-typing   X